Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

In ApplicationController#render_error, responding formats are HTML and REST API.  It would helpful if render_error could respond

with JS.

Associated revisions

Revision 12855 - 2014-02-07 10:26 - Jean-Philippe Lang

Adds JS response support to #render_error (#15760).

Revision 12856 - 2014-02-07 12:45 - Jean-Philippe Lang

Reverts r12855.

History

#1 - 2014-01-03 17:09 - Jean-Philippe Lang

What kind of response do you expect?

#2 - 2014-01-09 14:37 - Zach Hamman

Recommend an errors.js view in common directory that adds the flash messages to the top of the page similar to a validation error when saving an

object.  Display the errors with content in that construction in HTML response.

#3 - 2014-02-07 10:27 - Jean-Philippe Lang

- Subject changed from render_error method for JS format to JS response support for #render_error

- Category changed from UI to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Added in r12855. The error is displayed with a simple JS alert().

#4 - 2014-02-07 12:45 - Jean-Philippe Lang

- Status changed from Closed to Reopened

- Resolution deleted (Fixed)

#5 - 2014-02-23 09:17 - Jean-Philippe Lang

- Target version changed from 2.5.0 to Candidate for next major release
